TAAS - Feature #168

Sale
02/25/2023 10:37 AM - Anil KV

Status: Reopen Bugs Start date: 02/25/2023
Priority: Normal Due date:

Assignee: Junaid M % Done: 50%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): Code Reviewed By:

Module: Sale

Description

Coding Sale

History

#1 - 04/26/2023 10:30 AM - Junaid M
- Status changed from New to Coding Started
- % Done changed from 0 to 40

#2 - 06/12/2023 05:59 PM - Junaid M

*[] is textbox

Sale ALPO -> Secnd Part

Amount Tab:-—

Total Amount (Customer Currency): [0.00] Disable
ALPO Commission [] %I[]

Aditional Commission [0.00] % [0.00] Disable
Payable Amount: [0.00] % [0.00] Disable

Paid Amount [0.00] % [0.00] Disable

Against Sale Amount [0.00] % [0.00] Disable
Balance Amount [0.00] % [0.00] Disable

Liked Documents tab:-—

Aditional Commission tab:-—

#| Date | Remarks | Amount | Edit icon
— Need Popup

Date []

Amount in .. []

Remaks

-Close, Add/Edit button

!'l Remove Profit button
Liked Documents tab:-—

#| Doc Date| Doc No| Party | Currency | Debit | Credit | Edit
—Group By Doc Type

#3 - 10/31/2023 01:19 PM - unnikannan S
#FEATURE

1.SHOW A CONFIRMATION YES/NO POP UP MESSAGE IF WE ADD AN ALREADY SAVED REFUNDED VOUCHER ITEM TO SALE WHILE
SAVE

#4 - 11/02/2023 04:56 PM - Seema Mathew

- Tested By set to Seema Mathew

ISSUE FOUNDED****

1.DONE- DELETE OPTION IN LIST NOT WORKING CORRECTLY
2.DONE- MISSING FARE DETAILS AFTER UPDATE AND REFRESH

3.DONE- SHOWING ROE IN FOCUS OUT

4.DONE- MISSING SALE DATAS WHILE REFUNDING ANY ONE VOUCHER FROM LIST

5.DONE- ADDED REFERENCE EMPLOYEE IN VOUCHERS MISSING IN SALE.

6.DONE- CANT ADD ACT AS ACCOUNTS (COA,AGENT,SUPPLIER,EMPLOYEE) IN CUSTOMER/FOP FIELD

7.DONE- NOT SHOWING POS DATAS WHILE ADDING CARDS AS CUSTOMER/FOP AND SAVING WITHOUT ADDING MANDATORY FIELD
POS/PG

8.DONE- REMOVE DEFAULT CURRENCY OF CUSTOMER/FOP WHILE SELECTING NEW BUTTON

9.DONE- ERROR WHILE UPDATING MORE THAN 4 TIMES AFTER ADDING (TRANSFER ISSUE)

10.MISSING ADDED CHEQUE AND CARD DETAILS AFTER SAVE

11.SAVING INVOICE WITHOUT MANDATORY,CHEQUE AND CARD DETAILS WHILE ADDING THEM AS CUSTOMER/FOP
12.DONE- MISSING CUSTOMER/FOP DETAILS FIELD IN FOCUS OUT

13.DONE- ERROR WHILE SAVING DEFAULT CURRENCY RATHER THAN BASE 1 CURENCY ON CUSTOMER/SUPPLIER SIDE
14.DONE- AMOUNT DIFFERENCE IN PROFIT FIELD WHILE ADDING SAVED VOUCHER WITH ALL FARE COMPONENTS FROM ADMIN
SETTINGS

15.DONE- SHOWING BASE CURRENCY NOT TALLY WHILE ADING ALL COMPONENTS FROM ADMIN SETTINGS
16.DONE- NO CHANGE IN PRICE FIELD IF CUSTOMER CHOOSE DIFFERENT CURRENCY

17.NOT WORKING PARTY SIDE TOOL BARS

18.DONE- MISSING PARTY FIELD

19.HANG WHILE ADDING BULK DATAS FROM NOT REPORTED SALE TO SALE

20.ERROR WHILE ADDING BLANK FIELD IN COST CENTRE

21.DONE- MISSING AP SHARING AMOUNT AFTER SAVE

22.DONE- MISSING ADDED CHAR CODE/NUMERIC CODE FIELD IN ISSUING STAFF FIELD

23.DONE- SHOW MANDATORY LABEL RED STAR IN CASE OF CASH SALE ON CUSTOMER FIELD

24.DONE- IN CASE OF DELETING THE DOCUMENT THE ADDED VOUCHERS WILL BE SHOWN IN THE Ul OF VOUCHERS PREVIOUS
STATUS

25.ERROR WHILE SAVING WITH ALPO ON SECOND UPDATE

26.DONE- AFTER SAVE CHOOSING EDIT FROM LIST SHOW ADD BUTTON AS UPDATE

27.ERROR WHILE ADDING FLIGHT NO MORE THAN 15 DIGIT

28.DONE- MISSING ADDITIONAL PAX.FARE DETAILS WHILE LOADING FROM VOUCHER

29.DONE- MISSING ADD OR UPDATE BUTTON SYMBOL IN VUCHERS POP UP

30.DONE- MISSING CHAR CODE/NUMERIC CODE OF STAFFS WHILE CHOOSING GDS

31.DONE- AMOUNT FLUCTUATION WHILE ADDING MULTIPLE CURRENCY

32.DONE- MISSING DATA FROM NOT REPORTED SALE

33.DONE- ERROR WHILE ADDING VISA SERVICE

34.DONE- AUTO COMPLETION SAME NAME ISSUE IN SUPPLIER FIELD

35.DONE- SHOWING NEWLY ADDED VOUCHERS AS ALREADY EXIST MESSAGE IN SAVE

36.DONE- SHOWING SAME MAINLEDGER FOR CUSTOMER AND SUPPLIER IN POSTING

37.DONE- ERROR IN CASE OF CLEARING SAVED DOC MASTER ACCOUNTS AND SAVE

38.DONE- CORRECT SYMBOL OF UPDATE

39.DONE- 42601: syntax error at end of input -In Case Of Adding Sub Ledger Data On A Cash Sale Doc

#5 - 12/01/2023 10:22 AM - unnikannan S

- Tested By changed from Seema Mathew to unnikannan S

#6 - 06/28/2024 05:16 PM - Junaid M
GUI Changes 28/06/2024

1. [Master] Add Grouped Checkbox on Narration widget, Add field in db also (In Document). titte=Ticked means show narration in print

2. [Print To (Expand section master, AR)] Add Grouped Checkbox on Narration widget, Add field in db also (document table). title=Ticked means
show narration in print

3. Show narration only if checkbox ticked. Print to footer note always show inside footer signature part.

Do this in Sale/Refund/Rv/Pv

Print Changes

1. Add Checkbox widget in Print To Section. Label "If Cash Sale Show Form of Payment Details". Def:- Untick, Add field in db.

#7 - 09/04/2024 11:59 AM - Arathy PS
- Status changed from Coding Started to Reopen Bugs
- % Done changed from 30 to 50

#8 - 09/28/2024 10:18 AM - Arathy PS
ISSUE FOUND:

1. DONE - Loading Issue From Voucher Stock Item To Sale Through Not Reported Module

2. Already used transfer, visa and other vouchers for sale from xo purchase can be used again for sale--> ticket and hotel are working fine.
3. DONE - Tally issue upon doing AR sharing

4. Can add same sector in the sector field multiple times

5. DONE - On selecting the checkbox on sector field can save invoice without adding sector
6. DONE - In ticket issue if ticket is added with sector remark on updating the sector into sector code then on viewing the ticket the sector is in sector
remark again

7. DONE - Hotel and other issue pop --> fare tab, an RoE field is showing.

8. DONE - Hotel pop up's supplier field showing a default currency.

#9 - 10/07/2024 05:32 PM - Junaid M
New Changes - DONE

1) In Invoice/Refund print add column (Def. Hide)
Cost Center
Value:- Cost Center1 = Amount1, Cost Center=Amount2

#10 - 10/22/2024 09:44 AM - unnikannan S
ISSUE FOUNDED

1. DONE- Correct The Symbol Of Update Button In Voucher Pop Ups
2.Party Side Tool Bars In Grid Not Working

3.Validate Mandatory Fields In Case Of Sale Done With/Card/Bank/Cheque Act As Client FOPs
4 Error While Adding Flight No In Segment Details More Than 15 Digits
5.Set All Pop Up Not Working

6.Missing ROE Precision On Update

7.Error While Adding Additional Pax Child/Infant With Fare Values in Ul
8.AR Sharing/Alpo Sharing Doc No Fields Not Freezing After Save

9.Show Valid Datas In Against Doc Pop Up Module Multi Select
10.Connectivity Of Group/Performa Sale

11.header filter,erase,row filter are not working(same in refund)

12.need of erase and header filter in party tab

13.column chooser in party tab has additional check boxes(same in refund)

#11 - 10/22/2024 09:46 AM - unnikannan S
- File clipboard-202410220946-ca7tp.png added

#12 - 10/25/2024 10:03 AM - unnikannan S
- File clipboard-202410251003-sex3z.png added

#13 - 10/29/2024 10:26 AM - Arathy PS
ISSUE FOUND

1. Add connectivity of 'maximum days of PD cheque received date' from admin settings.

2. On print pop up can't select or select the type of print.

3. When add additional commission in ALPO additional commission, payable amount and balance field in amount tab of ALPO shown NaN

4. When two or more vouchers are added and at first only one of them have ALPO and then after save select another voucher for ALPO but can't
save

Error message: new row for relation "tbl_transaction" violates check constraint "tbl_transaction_check3"

5. Error while entering a ticket at the same time through entering ticket number in the ticket issue pop up and through not reported sale pop up.

#14 - 11/14/2024 11:25 AM - Arathy PS
ISSUE FOUND

. Print format 'sale ticket base print format' not loading.

. Print format will only be selected if we focus out before clicking print preview.

. Invalid transaction termination---> when : We have enabled customer is mandatory from admin settings while doing a cash sale.

. Status of the cheque not changing in the Master as we have deposited the cheque/returned.

. Bank field missing on reloading a sale after update when FOP is received cheque.

6. Created a cash sale with FOP as received cheque ---> and kept the fare of ticket/voucher as zero ---> Then tried to deposit the said cheque but
had validation not depositing cheque with zero

amount ---> so came back to add fare and update the sale.

7.The footer note entered in the quotation/enquiry should be loaded to the invoice with the corresponding quotation/enquiry doc number.

a s~ wNn =

#15 - 11/20/2024 06:57 PM - Arathy PS
NEW CHANGES

1. Add VAT BASE AMOUNT, VAT %, VAT AMOUNT In Invoice Print --- Should be hidden by default

#16 - 11/26/2024 05:45 PM - Arathy PS
- File clipboard-202411261622-agjj9.png added
ISSUE FOUND

1. Not asking for set mapping account (when set mapping account of inward bank charge account not set) when FOP is corporate card.
2. Not showing the cash sale done in corporate card at settlement nor do on settled tab with internal matching done.

3. On cash sale using credit card when discount is added tally issue occurs.

4. On hotel issue the pop up remains even after adding the voucher (works like restore without ticking the restore checkbox)

5. When a normal invoice is changed to cash sale after settlement is done error occurs

insert or update on table “tbl_settlement” violates foreign key constraint “tbl_settiement fk transaction_dr id_fiey” X B Update
Invoice No | INV/002 o Date” | 26/11/2024 (<IN Branch” | BRO01: Main v -
Against Doc s} 0.00 QAR Department” | DPOO1: Account ~
Customer/FOP™ | CAS003 CASH NEW QAR v File N~ Enauiry No™ = LY
Attachment
Customer = | CUS001 AL MOHAMMED KHAN Discount = | 000
& Note
Referance Total Sale 1730.00 Total Profit 130.00
Narration Shared 0.00 Outstanding 1730.00
)
Document Status™ | Active v B Erss 173000
Posting Status” | Active v oE

Created By:  admin(26/11/2024 03:36 PM)

Modified By:
© Search

A Ticket
[E Hotel

Ticket/Voucher | Party

«

o |[ = & Transfer
[+]  Ticket [ Hotel ® Other & Transfer - Visa v SetAll Y Q 2 O
I Visa
# Type lssue Date  Ticket/Voucher | Service Provider Price Cost Profit Shared
1 Tickst 26172024 TKTOOS 519Q5: 40 Mile Air 173000 160000 13000 w B & |

6. On AR sharing the reloaded documents are showing same invoice number and same party.

#17 - 11/26/2024 06:30 PM - Arathy PS
NEW CHANGES

-> In additional data section
-Add Submission Date: ...
-Add Customer Approve Status: ... Date: ...

ISSUE FOUND

1)CANT UPDATE A SALE IF ONE OF THE TICKET IS IN AGAINST SALE

#18 - 12/11/2024 05:10 PM - Arathy PS
ISSUE FOUND

1. When one of the item in a sale is refunded then while updating the sale the refunded status changes to sold status again. (Solution provided by anil
sir : while updating refunded and cancelled items status of them should remain the same)
2. Can edit, delete, print and attach in the documents after blocking them in user module previlage.

1. If Menu service sys name and global constant name is same.
2. Sys name on document no: focus out and after saving.
3. Sys name while redirection.

#19 - 12/19/2024 05:24 PM - Arathy PS
ISSUE FOUND

1. (Done)All the sub ledgers are showing for the accounts that are not the main account of the sub ledger.

2. Connect validation of credit limit of counter staff.

3. Error while using cheque number that is already used when FOP is received cheque.

4. AR sharing get removed when we change anything in the fare tab.

5. With more than one ticket/vouchers present and selecting any item after 1st one for AR sharing will result in getting all the items get selected.
5. Not showing deposit bank ,reco number,clear date after reco.

. Not showing package voucher that is added in the grid.

7.Commission account set in service not taking while saving ask to set through mapping account

8. Air deal code not showing in the corresponding column.

9. When the 'Input field in GUI' is sale/refund in corporate custom field module, that custom fields are not showing in the sale.
10. Master is showing all the region not just region with 'Use Sale And Refund Master ticked in region category.

11. While trying to update a cash sale-- with change and without changes a validation is showing

--validation message: Updated Amount Should Be Greater than or Equal to Matched Amount (1200 QAR).

0]
New Changes

1)Add New Invoice Print Format Given by UTT

#20 - 01/17/2025 11:35 AM - Arathy PS
- File clipboard-202501171135-xpddg.png added

Issue Found

2.Tally issue on saving in cost of sale methode

#21 - 01/22/2025 02:57 PM - Arathy PS
- File clipboard-202501221457-hxzbr.png added

#22 - 01/22/2025 03:00 PM - Arathy PS
- File deleted (clipboard-202501221457-hxzbr.png)

#23 - 01/22/2025 03:42 PM - Arathy PS
- File clipboard-202501221501-rlizh.png added
- File clipboard-202501221501-6eifc.png added

ISSUE FOUND

1.Not showing validation for date field.

05/03/2025

Updated Amount Should Be Greater than or Equal to Matched Amount (620 QAR).
Master AR Sharing ALPO
Invoice No  INV/004 o Date” | 17/01/2025
Against Doc
Customer/FOP* | cusoo1 ANHAAR AHMAAN
Sub Customer ~
Reference
Narration
Document Status* | Active
Posting Status®  Active
Created By: Administrator(17/01/2025 10:59 AM)
Modified By:
Ticket/Voucher = Party
QA icket
# Type Issue Date Ticket/Voucher Service Provider
1 Hotel 16/01/2025 HV/002 D6G:: D-Hotel Maris
2 Other 16/01/2025 0s/002 SUP0OT: BSP

[ Hotel

Q08 Brench™ | BROOT:: Main
& oo0asR Department” | DpgQ1:; Account
QAR ~ File No* -
Discount = | 0.00
Total Sale 1070.00
Shared 0.00
A
v e Balance 1070.00
v By
e
wuy
B Other & Transfer " Visa 4 Package + Set All
Price Cost
450.00 400.00
620.00 600.00

v
v
Enquiry No* -
Total Profit 70.00
Outstanding 1070.00
T Q
Profit Shared
50.00 000 h
20,00 000 h

ote

o |
2
null value in column “dat_cheque" of relation "tb|_received_cheque” violates not-null constraint x

Master AR Sharing ALPO

Invoice No o | Date” | 201/2025 o 0B Branch™ | BROOT: Main ~
Against Doc & 0.0004R Department’  DPO0A: Account ~
Customer/FOP™ | RCHO03 Received Cheque Act As QAR ~ File No*~ Enquiry No™ ~
Customer = Discount ~ | 0.00
Reference Total Sale 700.00 Total Profit 0.00
Narration j Shared 0.00 Qutstanding  700.00
Document Status®  Active ~ By (v 700.00
Posting Status™  Active v B
Created By:
Modified By:
Cheque No™ | 002 Date* | da/MMfyyyy o) Banic®
Name On Cheque ID No Deposit Date”™ | dal/Mh/fyyyy i) m
Deposit Bank : Reco No: Clear Date: Status :Hold m
Ticket/Voucher = Party
e [+] A Ticket B Hotel B Other & Transfer ™ Visa M Package o Set All T @ 2 [
# Type Issue Date Ticket/Voucher Service Provider Price Cost Profit Shared
1 Other 22/01/2025 SUP0D1: BSP 70000 700,00 000 0w ] & W

2.No validation when Fop is virtual card.

SALE has been Saved.

Master AR Sharing

Inveice No o 22/01/2025 e . Branc™ | BROOT: Main
Against Doc dy | 0.00 QAR Department™  ppo01: Account
Customer/FOP* Virtual Card QAR ¥ File No* - Enquiry No*=
Customer ~ Discount ~ | 0.00
Reference Total Sale Total Frofit  0.00

Marration Shared Qutstanding  100.00

. i Balance
Document Status: Active

Posting Status® | active

Created By:  Administraton(22/01/2025 02:57 PM)
Modified By:  admin(22/01/2025 03:01 PM)[1]

Number* Reference Provider Name

isa
M Package

#24 - 01/23/2025 04:49 PM - Arathy PS
ISSUE FOUND

1. While doing a cash sale using received cheque or cards then change the Fop to a customer after saving the cash sale then again back to the
previous FOP the data that we first saved will still be showing there.

steps:-

-- create a cash sale using cheque or card and save

-- change the Fop to customer and save

-- then again change the card/cheque that we used first.

2.When we enter additional pax after entering the fare tab first then the amount not gets divided to the pax fare tabs.
3.In document search each sale documents appears more than one times depending on the no: of items in the sale.
4.1f the Fop is 'received cheque' then error while trying to save when we entered rounding amount in fare tab.
5.When Fop is UPI data not loading in VPA and Bank section provided.

6.Voucher no: not showing in report modules.

7.Load/Connect data from set fee/discount module.

8.Warning message when credit limit is exceeds not showing based on user module privilege.

New Changes
Sale Master Tab
-->FOP select Corporate Card(Act as Client) then additional Details only

--Card Number*R --> Mandatory -- Load from Customer Master -- based on Customer and Corporate Account
--Expiry Date: with Change Checkbox -- like AP Sharing

--Name On Card:

#25 - 02/04/2025 11:55 AM - Junaid M
CREDIT LIMIT CHECKING

User Setting -> "CREDIT_LIMIT_EXCEED_THEN" Values => 'BLOCK' or 'WARNING_MESSAGE' or 'NEED_DOCUMENT_APPROVAL'".

BLOCK -> Block Save/Update. In SP

WARNING_MESSAGE -> Yes/No Confirmation. In Angular side. Call server api before save.

NEED_DOCUMENT_APPROVAL -> Show info message. Change Document Status to 'Need Approval'. and build a narration string and store in sale
internal note.

[Task]
In Sale ts init load user settings. IF settings is 'WARNING_MESSAGE' or 'NEED_DOCUMENT_APPROVAL'. then call credit limit rest api and check
limit is passed or not. then apply actions based on setting

#26 - 02/14/2025 02:40 PM - Theja Ponon
ISSUE FOUND

1)After against sale of sold package supplier is missing in sale document

2)Can delete a sale document after document submission

3)Tally issue while doing AR sharing along with tax.

4)Data in the party tab gets missing when we redirect or check after an update.

5)Not showing the print of additional items added in the package module.

6)Not connected with credit limit of counter staff (ticketing/booking staff)

7)Block the changes in fare if the difference in amount is greater than the remaining amount in master.

8)Data missing on edit mode in AR sharing tab when sharing is done through Received cheque (bank is missing in edit mode)
9)On edit mode of AR sharing the while clicking update button it act as a new entry in the sharing.

10)When billing tax is set and AR sharing is done, the tax amount is not included in the sharing and thus tally issue occurs.
11)When multiple items are in a single sale, while doing AR sharing for each item, amount on each item gets added to the first item.
Sale changes

--> In Sale Master Outstanding

e |f Sale FOP is Cash mod Set Outstanding 0.
¢ If Sale FOP is not Cash mod Set Outstanding value as refresh/load icon. upon clicking icon fetch FOP account's Outstanding from transaction
table and show.

#27 - 03/19/2025 03:00 PM - Theja Ponon
- File clipboard-202503191500-kpox2.png added

Issue Found

1)Issue on updating sale after bank reco

Travvise

L SOLUTION PVT LT

Unable to cast object of type 'WhereListiterator1[TAAS Models.Account Mdl ' to type ‘System.Collections. Generic List 1TAAS Models. " 1.

Master AR Sharing

Invoice No | €5/002 o Date™ | 19/03/2025 XM | Branch® | BROD1T: Main ™
Against Doc & 0.00 0AR Department” | DPOO1: Account ~
Customer/FOP* | BNKOO1 Own Bank QAR v File No* - Enquiry Ne™~

Discount = | 0.00

Reference Cheque Deposit @ Total Sale 1000.00 Total Profit 0.00

Narration Shared 0.00 Outstanding 1000.00

Document Status™ | Active v |y Balance 1000.00

Posting Status® | Active v By
Created By: Administrator(19/03/2025 02:53 PM)
Modified By:
Depositor Name Reference

Senvice Charge | 0 %| o

2) Not showing data in corporate tab of custom data for hotel, transfer, other, visa and package service.

3) While sharing the shared document no: append as #2,#3 not as #1,#2

4) While deleting an AR sharing (with billing tax) tally issue arises.

5) While trying a new sharing after deleting an already existing one then invoice no: repetition error message occurs.
6) While setting set fee not showing the fee based on what we choose in admin settings.
7) Quotation no: not gets cleared even though the quotation is deleted.

#28 - 04/04/2025 03:54 PM - Arathy PS
- File clipboard-202504041551-Irkdd.png added

ISSUE FOUND

1. FIXED-While doing AP sharing using customer card and tax is present.

Steps: Create an issue without supplier side tax and in the AP sharing tab add component which have supplier side tax.

#29 - 04/08/2025 12:22 PM - Arathy PS
NEW CHANGE

1. While choosing e-mail in print then the mail ID provided in the master module of the account should be loaded here by default.

#30 - 04/10/2025 04:22 PM - Arathy PS
ISSUE FOUND

1. Tally issue when adding fare components which has tax in AP sharing tab and not in fare tab -- while add to price check box is unticked in billing
tax module.
2. 'Allow partial payment for the selected corporate card' validation is missing from ticket issue.
